import {ModelConditionUtil, ModelConditionUtilImpl, FieldUtil, TableUtilImpl, IdType, BasicFieldUtil, JoinTable, SubTable } from 'model-util'
import {Container, Singleton} from 'typescript-ioc' 
import * as Knex from 'knex' 
/**
 * @author Keytop midend auto generate
 * @version 1.0
 * @date 2020-06-02 09:56
 */
interface BMSDeployConfig{
    /**
    * 应用ID
    * @type { string }
    */
    appId?: string;
    /**
    * 基础镜像配置
    * @type { string }
    */
    basicImageConfig?: string;
    /**
    * 基础镜像ID
    * @type { string }
    */
    basicImageId?: string;
    /**
    * 基础镜像地址
    * @type { string }
    */
    basicImageUrl?: string;
    /**
    * 云服务商类型
    * @type { string }
    */
    cloudProvider?: string;
    /**
    * create_time
    * @type { Date }
    */
    createTime?: Date;
    /**
    * 创建人ID
    * @type { string }
    */
    createUserId?: string;
    /**
    * 数据源
    * @type { string }
    */
    dbConfig?: string;
    /**
    * 数据源ID
    * @type { string }
    */
    dbId?: string;
    /**
    * 数据源连接池
    * @type { string }
    */
    dbPoolConfig?: string;
    /**
    * 数据源连接池ID
    * @type { string }
    */
    dbPoolId?: string;
    /**
    * 部署指令ID
    * @type { string }
    */
    deployCmdId?: string;
    /**
    *  0:已发送、1:待发送
    * @type { number }
    */
    deployCmdStatus?: number;
    /**
    * 部署信息,日志描述
    * @type { string }
    */
    deployMsg?: string;
    /**
    * 部署参数
    * @type { string }
    */
    deployParameters?: string;
    /**
    *  0:已部署、1:待部署、2:部署中、3:部署失败、4：待停止、5、停止中、6：已停止
6:停止中、7:已停止
    * @type { number }
    */
    deployStatus?: number;
    /**
    * 部署模板ID
    * @type { string }
    */
    deployTemplateId?: string;
    /**
    * 环境代码
    * @type { string }
    */
    envCode?: string;
    /**
    * 环境关联配置id
    * @type { string }
    */
    envConfigRefId?: string;
    /**
    * 环境ID
    * @type { string }
    */
    envId?: string;
    /**
    * TEST、PROD
    * @type { string }
    */
    envType?: string;
    /**
    * 环境变量
    * @type { string }
    */
    envVariable?: string;
    /**
    * 主键
    * @type { string }
    */
    id?: string;
    /**
    * 实例CPU
    * @type { number }
    */
    instanceCpu?: number;
    /**
    * 实例内存
    * @type { number }
    */
    instanceMemory?: number;
    /**
    * K8S 配置
    * @type { string }
    */
    k8sConfig?: string;
    /**
    * K8S集群配置ID
    * @type { string }
    */
    k8sId?: string;
    /**
    * Kafka配置
    * @type { string }
    */
    kafkaConfig?: string;
    /**
    * Kafka配置ID
    * @type { string }
    */
    kafkaId?: string;
    /**
    * 日志配置
    * @type { string }
    */
    logConfig?: string;
    /**
    * 日志模板ID
    * @type { string }
    */
    logConfigTemplateId?: string;
    /**
    * 最大实例
    * @type { number }
    */
    maxInstance?: number;
    /**
    * 弹性伸缩模板ID
    * @type { string }
    */
    metricsTemplateId?: string;
    /**
    * 最大实例
    * @type { number }
    */
    minInstance?: number;
    /**
    * 项目服务ID
    * @type { string }
    */
    pid?: string;
    /**
    * 项目ID
    * @type { string }
    */
    projectId?: string;
    /**
    * Redis配置
    * @type { string }
    */
    redisConfig?: string;
    /**
    * RedisId
    * @type { string }
    */
    redisId?: string;
    /**
    * Redis连接池配置
    * @type { string }
    */
    redisPoolConfig?: string;
    /**
    * Redis连接池ID
    * @type { string }
    */
    redisPoolId?: string;
    /**
    * 服务中心ID
    * @type { string }
    */
    serviceCenterId?: string;
    /**
    * update_time
    * @type { Date }
    */
    updateTime?: Date;
    /**
    * 修改人ID
    * @type { string }
    */
    updateUserId?: string;
    /**
    * 版本ID
    * @type { string }
    */
    versionId?: string;
    /**
    * 版本号
    * @type { string }
    */
    versionNo?: string;
}
interface BMSDeployConfigMCU extends ModelConditionUtil<BMSDeployConfigMCU>{
    APP_ID:FieldUtil<BMSDeployConfigMCU>;
    BASIC_IMAGE_CONFIG:FieldUtil<BMSDeployConfigMCU>;
    BASIC_IMAGE_ID:FieldUtil<BMSDeployConfigMCU>;
    BASIC_IMAGE_URL:FieldUtil<BMSDeployConfigMCU>;
    CLOUD_PROVIDER:FieldUtil<BMSDeployConfigMCU>;
    CREATE_TIME:FieldUtil<BMSDeployConfigMCU>;
    CREATE_USER_ID:FieldUtil<BMSDeployConfigMCU>;
    DB_CONFIG:FieldUtil<BMSDeployConfigMCU>;
    DB_ID:FieldUtil<BMSDeployConfigMCU>;
    DB_POOL_CONFIG:FieldUtil<BMSDeployConfigMCU>;
    DB_POOL_ID:FieldUtil<BMSDeployConfigMCU>;
    DEPLOY_CMD_ID:FieldUtil<BMSDeployConfigMCU>;
    DEPLOY_CMD_STATUS:FieldUtil<BMSDeployConfigMCU>;
    DEPLOY_MSG:FieldUtil<BMSDeployConfigMCU>;
    DEPLOY_PARAMETERS:FieldUtil<BMSDeployConfigMCU>;
    DEPLOY_STATUS:FieldUtil<BMSDeployConfigMCU>;
    DEPLOY_TEMPLATE_ID:FieldUtil<BMSDeployConfigMCU>;
    ENV_CODE:FieldUtil<BMSDeployConfigMCU>;
    ENV_CONFIG_REF_ID:FieldUtil<BMSDeployConfigMCU>;
    ENV_ID:FieldUtil<BMSDeployConfigMCU>;
    ENV_TYPE:FieldUtil<BMSDeployConfigMCU>;
    ENV_VARIABLE:FieldUtil<BMSDeployConfigMCU>;
    ID:FieldUtil<BMSDeployConfigMCU>;
    INSTANCE_CPU:FieldUtil<BMSDeployConfigMCU>;
    INSTANCE_MEMORY:FieldUtil<BMSDeployConfigMCU>;
    K8S_CONFIG:FieldUtil<BMSDeployConfigMCU>;
    K8S_ID:FieldUtil<BMSDeployConfigMCU>;
    KAFKA_CONFIG:FieldUtil<BMSDeployConfigMCU>;
    KAFKA_ID:FieldUtil<BMSDeployConfigMCU>;
    LOG_CONFIG:FieldUtil<BMSDeployConfigMCU>;
    LOG_CONFIG_TEMPLATE_ID:FieldUtil<BMSDeployConfigMCU>;
    MAX_INSTANCE:FieldUtil<BMSDeployConfigMCU>;
    METRICS_TEMPLATE_ID:FieldUtil<BMSDeployConfigMCU>;
    MIN_INSTANCE:FieldUtil<BMSDeployConfigMCU>;
    PID:FieldUtil<BMSDeployConfigMCU>;
    PROJECT_ID:FieldUtil<BMSDeployConfigMCU>;
    REDIS_CONFIG:FieldUtil<BMSDeployConfigMCU>;
    REDIS_ID:FieldUtil<BMSDeployConfigMCU>;
    REDIS_POOL_CONFIG:FieldUtil<BMSDeployConfigMCU>;
    REDIS_POOL_ID:FieldUtil<BMSDeployConfigMCU>;
    SERVICE_CENTER_ID:FieldUtil<BMSDeployConfigMCU>;
    UPDATE_TIME:FieldUtil<BMSDeployConfigMCU>;
    UPDATE_USER_ID:FieldUtil<BMSDeployConfigMCU>;
    VERSION_ID:FieldUtil<BMSDeployConfigMCU>;
    VERSION_NO:FieldUtil<BMSDeployConfigMCU>;
}

class BMSDeployConfigMCUImpl extends ModelConditionUtilImpl<BMSDeployConfigMCUImpl> implements BMSDeployConfigMCU{ 
    newInstance(): BMSDeployConfigMCUImpl {
        return new BMSDeployConfigMCUImpl();
    } 
    get APP_ID(): FieldUtil<BMSDeployConfigMCU>{  
        return new FieldUtil('APP_ID','appId','应用ID', this);
    }
    get BASIC_IMAGE_CONFIG(): FieldUtil<BMSDeployConfigMCU>{  
        return new FieldUtil('BASIC_IMAGE_CONFIG','basicImageConfig','基础镜像配置', this);
    }
    get BASIC_IMAGE_ID(): FieldUtil<BMSDeployConfigMCU>{  
        return new FieldUtil('BASIC_IMAGE_ID','basicImageId','基础镜像ID', this);
    }
    get BASIC_IMAGE_URL(): FieldUtil<BMSDeployConfigMCU>{  
        return new FieldUtil('BASIC_IMAGE_URL','basicImageUrl','基础镜像地址', this);
    }
    get CLOUD_PROVIDER(): FieldUtil<BMSDeployConfigMCU>{  
        return new FieldUtil('CLOUD_PROVIDER','cloudProvider','云服务商类型', this);
    }
    get CREATE_TIME(): FieldUtil<BMSDeployConfigMCU>{  
        return new FieldUtil('CREATE_TIME','createTime','create_time', this);
    }
    get CREATE_USER_ID(): FieldUtil<BMSDeployConfigMCU>{  
        return new FieldUtil('CREATE_USER_ID','createUserId','创建人ID', this);
    }
    get DB_CONFIG(): FieldUtil<BMSDeployConfigMCU>{  
        return new FieldUtil('DB_CONFIG','dbConfig','数据源', this);
    }
    get DB_ID(): FieldUtil<BMSDeployConfigMCU>{  
        return new FieldUtil('DB_ID','dbId','数据源ID', this);
    }
    get DB_POOL_CONFIG(): FieldUtil<BMSDeployConfigMCU>{  
        return new FieldUtil('DB_POOL_CONFIG','dbPoolConfig','数据源连接池', this);
    }
    get DB_POOL_ID(): FieldUtil<BMSDeployConfigMCU>{  
        return new FieldUtil('DB_POOL_ID','dbPoolId','数据源连接池ID', this);
    }
    get DEPLOY_CMD_ID(): FieldUtil<BMSDeployConfigMCU>{  
        return new FieldUtil('DEPLOY_CMD_ID','deployCmdId','部署指令ID', this);
    }
    get DEPLOY_CMD_STATUS(): FieldUtil<BMSDeployConfigMCU>{  
        return new FieldUtil('DEPLOY_CMD_STATUS','deployCmdStatus','指令执行状态', this);
    }
    get DEPLOY_MSG(): FieldUtil<BMSDeployConfigMCU>{  
        return new FieldUtil('DEPLOY_MSG','deployMsg','部署信息,日志描述', this);
    }
    get DEPLOY_PARAMETERS(): FieldUtil<BMSDeployConfigMCU>{  
        return new FieldUtil('DEPLOY_PARAMETERS','deployParameters','部署参数', this);
    }
    get DEPLOY_STATUS(): FieldUtil<BMSDeployConfigMCU>{  
        return new FieldUtil('DEPLOY_STATUS','deployStatus','部署状态', this);
    }
    get DEPLOY_TEMPLATE_ID(): FieldUtil<BMSDeployConfigMCU>{  
        return new FieldUtil('DEPLOY_TEMPLATE_ID','deployTemplateId','部署模板ID', this);
    }
    get ENV_CODE(): FieldUtil<BMSDeployConfigMCU>{  
        return new FieldUtil('ENV_CODE','envCode','环境代码', this);
    }
    get ENV_CONFIG_REF_ID(): FieldUtil<BMSDeployConfigMCU>{  
        return new FieldUtil('ENV_CONFIG_REF_ID','envConfigRefId','环境关联配置id', this);
    }
    get ENV_ID(): FieldUtil<BMSDeployConfigMCU>{  
        return new FieldUtil('ENV_ID','envId','环境ID', this);
    }
    get ENV_TYPE(): FieldUtil<BMSDeployConfigMCU>{  
        return new FieldUtil('ENV_TYPE','envType','TEST、PROD', this);
    }
    get ENV_VARIABLE(): FieldUtil<BMSDeployConfigMCU>{  
        return new FieldUtil('ENV_VARIABLE','envVariable','环境变量', this);
    }
    get ID(): FieldUtil<BMSDeployConfigMCU>{  
        return new FieldUtil('ID','id','主键', this);
    }
    get INSTANCE_CPU(): FieldUtil<BMSDeployConfigMCU>{  
        return new FieldUtil('INSTANCE_CPU','instanceCpu','实例CPU', this);
    }
    get INSTANCE_MEMORY(): FieldUtil<BMSDeployConfigMCU>{  
        return new FieldUtil('INSTANCE_MEMORY','instanceMemory','实例内存', this);
    }
    get K8S_CONFIG(): FieldUtil<BMSDeployConfigMCU>{  
        return new FieldUtil('K8S_CONFIG','k8sConfig','K8S 配置', this);
    }
    get K8S_ID(): FieldUtil<BMSDeployConfigMCU>{  
        return new FieldUtil('K8S_ID','k8sId','K8S集群配置ID', this);
    }
    get KAFKA_CONFIG(): FieldUtil<BMSDeployConfigMCU>{  
        return new FieldUtil('KAFKA_CONFIG','kafkaConfig','Kafka配置', this);
    }
    get KAFKA_ID(): FieldUtil<BMSDeployConfigMCU>{  
        return new FieldUtil('KAFKA_ID','kafkaId','Kafka配置ID', this);
    }
    get LOG_CONFIG(): FieldUtil<BMSDeployConfigMCU>{  
        return new FieldUtil('LOG_CONFIG','logConfig','日志配置', this);
    }
    get LOG_CONFIG_TEMPLATE_ID(): FieldUtil<BMSDeployConfigMCU>{  
        return new FieldUtil('LOG_CONFIG_TEMPLATE_ID','logConfigTemplateId','日志模板ID', this);
    }
    get MAX_INSTANCE(): FieldUtil<BMSDeployConfigMCU>{  
        return new FieldUtil('MAX_INSTANCE','maxInstance','最大实例', this);
    }
    get METRICS_TEMPLATE_ID(): FieldUtil<BMSDeployConfigMCU>{  
        return new FieldUtil('METRICS_TEMPLATE_ID','metricsTemplateId','弹性伸缩模板ID', this);
    }
    get MIN_INSTANCE(): FieldUtil<BMSDeployConfigMCU>{  
        return new FieldUtil('MIN_INSTANCE','minInstance','最大实例', this);
    }
    get PID(): FieldUtil<BMSDeployConfigMCU>{  
        return new FieldUtil('PID','pid','项目服务ID', this);
    }
    get PROJECT_ID(): FieldUtil<BMSDeployConfigMCU>{  
        return new FieldUtil('PROJECT_ID','projectId','项目ID', this);
    }
    get REDIS_CONFIG(): FieldUtil<BMSDeployConfigMCU>{  
        return new FieldUtil('REDIS_CONFIG','redisConfig','Redis配置', this);
    }
    get REDIS_ID(): FieldUtil<BMSDeployConfigMCU>{  
        return new FieldUtil('REDIS_ID','redisId','RedisId', this);
    }
    get REDIS_POOL_CONFIG(): FieldUtil<BMSDeployConfigMCU>{  
        return new FieldUtil('REDIS_POOL_CONFIG','redisPoolConfig','Redis连接池配置', this);
    }
    get REDIS_POOL_ID(): FieldUtil<BMSDeployConfigMCU>{  
        return new FieldUtil('REDIS_POOL_ID','redisPoolId','Redis连接池ID', this);
    }
    get SERVICE_CENTER_ID(): FieldUtil<BMSDeployConfigMCU>{  
        return new FieldUtil('SERVICE_CENTER_ID','serviceCenterId','服务中心ID', this);
    }
    get UPDATE_TIME(): FieldUtil<BMSDeployConfigMCU>{  
        return new FieldUtil('UPDATE_TIME','updateTime','update_time', this);
    }
    get UPDATE_USER_ID(): FieldUtil<BMSDeployConfigMCU>{  
        return new FieldUtil('UPDATE_USER_ID','updateUserId','修改人ID', this);
    }
    get VERSION_ID(): FieldUtil<BMSDeployConfigMCU>{  
        return new FieldUtil('VERSION_ID','versionId','版本ID', this);
    }
    get VERSION_NO(): FieldUtil<BMSDeployConfigMCU>{  
        return new FieldUtil('VERSION_NO','versionNo','版本号', this);
    }
}

@Singleton 
class BMSDeployConfigMU extends TableUtilImpl<BMSDeployConfigMCU,BMSDeployConfig>{ 
    tableName  = 'bms_deploy_conf';
    tableFields  = ['app_id','basic_image_config','basic_image_id','basic_image_url','cloud_provider','create_time','create_user_id','db_config','db_id','db_pool_config','db_pool_id','deploy_cmd_id','deploy_cmd_status','deploy_msg','deploy_parameters','deploy_status','deploy_template_id','env_code','env_config_ref_id','env_id','env_type','env_variable','id','instance_cpu','instance_memory','k8s_config','k8s_id','kafka_config','kafka_id','log_config','log_config_template_id','max_instance','metrics_template_id','min_instance','pid','project_id','redis_config','redis_id','redis_pool_config','redis_pool_id','service_center_id','update_time','update_user_id','version_id','version_no'];
    modelFields  = ['appId','basicImageConfig','basicImageId','basicImageUrl','cloudProvider','createTime','createUserId','dbConfig','dbId','dbPoolConfig','dbPoolId','deployCmdId','deployCmdStatus','deployMsg','deployParameters','deployStatus','deployTemplateId','envCode','envConfigRefId','envId','envType','envVariable','id','instanceCpu','instanceMemory','k8sConfig','k8sId','kafkaConfig','kafkaId','logConfig','logConfigTemplateId','maxInstance','metricsTemplateId','minInstance','pid','projectId','redisConfig','redisId','redisPoolConfig','redisPoolId','serviceCenterId','updateTime','updateUserId','versionId','versionNo'];
    modelIdFields  = ['id'];
    tableIdFields  = ['id'];
    idType = IdType.CUSTOM;
    joinTables = [];
    subTables = [];

    constructor() {
        super(Container.get(Knex));
    }
    createModelConditionUtil(): BMSDeployConfigMCU {
        return new BMSDeployConfigMCUImpl();
    }   

    static get APP_ID(): FieldUtil<BMSDeployConfigMCU>{ 
        return new FieldUtil('APP_ID','appId','应用ID', new BMSDeployConfigMCUImpl());
    }
    static get BASIC_IMAGE_CONFIG(): FieldUtil<BMSDeployConfigMCU>{ 
        return new FieldUtil('BASIC_IMAGE_CONFIG','basicImageConfig','基础镜像配置', new BMSDeployConfigMCUImpl());
    }
    static get BASIC_IMAGE_ID(): FieldUtil<BMSDeployConfigMCU>{ 
        return new FieldUtil('BASIC_IMAGE_ID','basicImageId','基础镜像ID', new BMSDeployConfigMCUImpl());
    }
    static get BASIC_IMAGE_URL(): FieldUtil<BMSDeployConfigMCU>{ 
        return new FieldUtil('BASIC_IMAGE_URL','basicImageUrl','基础镜像地址', new BMSDeployConfigMCUImpl());
    }
    static get CLOUD_PROVIDER(): FieldUtil<BMSDeployConfigMCU>{ 
        return new FieldUtil('CLOUD_PROVIDER','cloudProvider','云服务商类型', new BMSDeployConfigMCUImpl());
    }
    static get CREATE_TIME(): FieldUtil<BMSDeployConfigMCU>{ 
        return new FieldUtil('CREATE_TIME','createTime','create_time', new BMSDeployConfigMCUImpl());
    }
    static get CREATE_USER_ID(): FieldUtil<BMSDeployConfigMCU>{ 
        return new FieldUtil('CREATE_USER_ID','createUserId','创建人ID', new BMSDeployConfigMCUImpl());
    }
    static get DB_CONFIG(): FieldUtil<BMSDeployConfigMCU>{ 
        return new FieldUtil('DB_CONFIG','dbConfig','数据源', new BMSDeployConfigMCUImpl());
    }
    static get DB_ID(): FieldUtil<BMSDeployConfigMCU>{ 
        return new FieldUtil('DB_ID','dbId','数据源ID', new BMSDeployConfigMCUImpl());
    }
    static get DB_POOL_CONFIG(): FieldUtil<BMSDeployConfigMCU>{ 
        return new FieldUtil('DB_POOL_CONFIG','dbPoolConfig','数据源连接池', new BMSDeployConfigMCUImpl());
    }
    static get DB_POOL_ID(): FieldUtil<BMSDeployConfigMCU>{ 
        return new FieldUtil('DB_POOL_ID','dbPoolId','数据源连接池ID', new BMSDeployConfigMCUImpl());
    }
    static get DEPLOY_CMD_ID(): FieldUtil<BMSDeployConfigMCU>{ 
        return new FieldUtil('DEPLOY_CMD_ID','deployCmdId','部署指令ID', new BMSDeployConfigMCUImpl());
    }
    static get DEPLOY_CMD_STATUS(): FieldUtil<BMSDeployConfigMCU>{ 
        return new FieldUtil('DEPLOY_CMD_STATUS','deployCmdStatus','指令执行状态', new BMSDeployConfigMCUImpl());
    }
    static get DEPLOY_MSG(): FieldUtil<BMSDeployConfigMCU>{ 
        return new FieldUtil('DEPLOY_MSG','deployMsg','部署信息,日志描述', new BMSDeployConfigMCUImpl());
    }
    static get DEPLOY_PARAMETERS(): FieldUtil<BMSDeployConfigMCU>{ 
        return new FieldUtil('DEPLOY_PARAMETERS','deployParameters','部署参数', new BMSDeployConfigMCUImpl());
    }
    static get DEPLOY_STATUS(): FieldUtil<BMSDeployConfigMCU>{ 
        return new FieldUtil('DEPLOY_STATUS','deployStatus','部署状态', new BMSDeployConfigMCUImpl());
    }
    static get DEPLOY_TEMPLATE_ID(): FieldUtil<BMSDeployConfigMCU>{ 
        return new FieldUtil('DEPLOY_TEMPLATE_ID','deployTemplateId','部署模板ID', new BMSDeployConfigMCUImpl());
    }
    static get ENV_CODE(): FieldUtil<BMSDeployConfigMCU>{ 
        return new FieldUtil('ENV_CODE','envCode','环境代码', new BMSDeployConfigMCUImpl());
    }
    static get ENV_CONFIG_REF_ID(): FieldUtil<BMSDeployConfigMCU>{ 
        return new FieldUtil('ENV_CONFIG_REF_ID','envConfigRefId','环境关联配置id', new BMSDeployConfigMCUImpl());
    }
    static get ENV_ID(): FieldUtil<BMSDeployConfigMCU>{ 
        return new FieldUtil('ENV_ID','envId','环境ID', new BMSDeployConfigMCUImpl());
    }
    static get ENV_TYPE(): FieldUtil<BMSDeployConfigMCU>{ 
        return new FieldUtil('ENV_TYPE','envType','TEST、PROD', new BMSDeployConfigMCUImpl());
    }
    static get ENV_VARIABLE(): FieldUtil<BMSDeployConfigMCU>{ 
        return new FieldUtil('ENV_VARIABLE','envVariable','环境变量', new BMSDeployConfigMCUImpl());
    }
    static get ID(): FieldUtil<BMSDeployConfigMCU>{ 
        return new FieldUtil('ID','id','主键', new BMSDeployConfigMCUImpl());
    }
    static get INSTANCE_CPU(): FieldUtil<BMSDeployConfigMCU>{ 
        return new FieldUtil('INSTANCE_CPU','instanceCpu','实例CPU', new BMSDeployConfigMCUImpl());
    }
    static get INSTANCE_MEMORY(): FieldUtil<BMSDeployConfigMCU>{ 
        return new FieldUtil('INSTANCE_MEMORY','instanceMemory','实例内存', new BMSDeployConfigMCUImpl());
    }
    static get K8S_CONFIG(): FieldUtil<BMSDeployConfigMCU>{ 
        return new FieldUtil('K8S_CONFIG','k8sConfig','K8S 配置', new BMSDeployConfigMCUImpl());
    }
    static get K8S_ID(): FieldUtil<BMSDeployConfigMCU>{ 
        return new FieldUtil('K8S_ID','k8sId','K8S集群配置ID', new BMSDeployConfigMCUImpl());
    }
    static get KAFKA_CONFIG(): FieldUtil<BMSDeployConfigMCU>{ 
        return new FieldUtil('KAFKA_CONFIG','kafkaConfig','Kafka配置', new BMSDeployConfigMCUImpl());
    }
    static get KAFKA_ID(): FieldUtil<BMSDeployConfigMCU>{ 
        return new FieldUtil('KAFKA_ID','kafkaId','Kafka配置ID', new BMSDeployConfigMCUImpl());
    }
    static get LOG_CONFIG(): FieldUtil<BMSDeployConfigMCU>{ 
        return new FieldUtil('LOG_CONFIG','logConfig','日志配置', new BMSDeployConfigMCUImpl());
    }
    static get LOG_CONFIG_TEMPLATE_ID(): FieldUtil<BMSDeployConfigMCU>{ 
        return new FieldUtil('LOG_CONFIG_TEMPLATE_ID','logConfigTemplateId','日志模板ID', new BMSDeployConfigMCUImpl());
    }
    static get MAX_INSTANCE(): FieldUtil<BMSDeployConfigMCU>{ 
        return new FieldUtil('MAX_INSTANCE','maxInstance','最大实例', new BMSDeployConfigMCUImpl());
    }
    static get METRICS_TEMPLATE_ID(): FieldUtil<BMSDeployConfigMCU>{ 
        return new FieldUtil('METRICS_TEMPLATE_ID','metricsTemplateId','弹性伸缩模板ID', new BMSDeployConfigMCUImpl());
    }
    static get MIN_INSTANCE(): FieldUtil<BMSDeployConfigMCU>{ 
        return new FieldUtil('MIN_INSTANCE','minInstance','最大实例', new BMSDeployConfigMCUImpl());
    }
    static get PID(): FieldUtil<BMSDeployConfigMCU>{ 
        return new FieldUtil('PID','pid','项目服务ID', new BMSDeployConfigMCUImpl());
    }
    static get PROJECT_ID(): FieldUtil<BMSDeployConfigMCU>{ 
        return new FieldUtil('PROJECT_ID','projectId','项目ID', new BMSDeployConfigMCUImpl());
    }
    static get REDIS_CONFIG(): FieldUtil<BMSDeployConfigMCU>{ 
        return new FieldUtil('REDIS_CONFIG','redisConfig','Redis配置', new BMSDeployConfigMCUImpl());
    }
    static get REDIS_ID(): FieldUtil<BMSDeployConfigMCU>{ 
        return new FieldUtil('REDIS_ID','redisId','RedisId', new BMSDeployConfigMCUImpl());
    }
    static get REDIS_POOL_CONFIG(): FieldUtil<BMSDeployConfigMCU>{ 
        return new FieldUtil('REDIS_POOL_CONFIG','redisPoolConfig','Redis连接池配置', new BMSDeployConfigMCUImpl());
    }
    static get REDIS_POOL_ID(): FieldUtil<BMSDeployConfigMCU>{ 
        return new FieldUtil('REDIS_POOL_ID','redisPoolId','Redis连接池ID', new BMSDeployConfigMCUImpl());
    }
    static get SERVICE_CENTER_ID(): FieldUtil<BMSDeployConfigMCU>{ 
        return new FieldUtil('SERVICE_CENTER_ID','serviceCenterId','服务中心ID', new BMSDeployConfigMCUImpl());
    }
    static get UPDATE_TIME(): FieldUtil<BMSDeployConfigMCU>{ 
        return new FieldUtil('UPDATE_TIME','updateTime','update_time', new BMSDeployConfigMCUImpl());
    }
    static get UPDATE_USER_ID(): FieldUtil<BMSDeployConfigMCU>{ 
        return new FieldUtil('UPDATE_USER_ID','updateUserId','修改人ID', new BMSDeployConfigMCUImpl());
    }
    static get VERSION_ID(): FieldUtil<BMSDeployConfigMCU>{ 
        return new FieldUtil('VERSION_ID','versionId','版本ID', new BMSDeployConfigMCUImpl());
    }
    static get VERSION_NO(): FieldUtil<BMSDeployConfigMCU>{ 
        return new FieldUtil('VERSION_NO','versionNo','版本号', new BMSDeployConfigMCUImpl());
    }

    get APP_ID(): FieldUtil<BMSDeployConfigMCU>{ 
        return BMSDeployConfigMU.APP_ID;
    }
    get BASIC_IMAGE_CONFIG(): FieldUtil<BMSDeployConfigMCU>{ 
        return BMSDeployConfigMU.BASIC_IMAGE_CONFIG;
    }
    get BASIC_IMAGE_ID(): FieldUtil<BMSDeployConfigMCU>{ 
        return BMSDeployConfigMU.BASIC_IMAGE_ID;
    }
    get BASIC_IMAGE_URL(): FieldUtil<BMSDeployConfigMCU>{ 
        return BMSDeployConfigMU.BASIC_IMAGE_URL;
    }
    get CLOUD_PROVIDER(): FieldUtil<BMSDeployConfigMCU>{ 
        return BMSDeployConfigMU.CLOUD_PROVIDER;
    }
    get CREATE_TIME(): FieldUtil<BMSDeployConfigMCU>{ 
        return BMSDeployConfigMU.CREATE_TIME;
    }
    get CREATE_USER_ID(): FieldUtil<BMSDeployConfigMCU>{ 
        return BMSDeployConfigMU.CREATE_USER_ID;
    }
    get DB_CONFIG(): FieldUtil<BMSDeployConfigMCU>{ 
        return BMSDeployConfigMU.DB_CONFIG;
    }
    get DB_ID(): FieldUtil<BMSDeployConfigMCU>{ 
        return BMSDeployConfigMU.DB_ID;
    }
    get DB_POOL_CONFIG(): FieldUtil<BMSDeployConfigMCU>{ 
        return BMSDeployConfigMU.DB_POOL_CONFIG;
    }
    get DB_POOL_ID(): FieldUtil<BMSDeployConfigMCU>{ 
        return BMSDeployConfigMU.DB_POOL_ID;
    }
    get DEPLOY_CMD_ID(): FieldUtil<BMSDeployConfigMCU>{ 
        return BMSDeployConfigMU.DEPLOY_CMD_ID;
    }
    get DEPLOY_CMD_STATUS(): FieldUtil<BMSDeployConfigMCU>{ 
        return BMSDeployConfigMU.DEPLOY_CMD_STATUS;
    }
    get DEPLOY_MSG(): FieldUtil<BMSDeployConfigMCU>{ 
        return BMSDeployConfigMU.DEPLOY_MSG;
    }
    get DEPLOY_PARAMETERS(): FieldUtil<BMSDeployConfigMCU>{ 
        return BMSDeployConfigMU.DEPLOY_PARAMETERS;
    }
    get DEPLOY_STATUS(): FieldUtil<BMSDeployConfigMCU>{ 
        return BMSDeployConfigMU.DEPLOY_STATUS;
    }
    get DEPLOY_TEMPLATE_ID(): FieldUtil<BMSDeployConfigMCU>{ 
        return BMSDeployConfigMU.DEPLOY_TEMPLATE_ID;
    }
    get ENV_CODE(): FieldUtil<BMSDeployConfigMCU>{ 
        return BMSDeployConfigMU.ENV_CODE;
    }
    get ENV_CONFIG_REF_ID(): FieldUtil<BMSDeployConfigMCU>{ 
        return BMSDeployConfigMU.ENV_CONFIG_REF_ID;
    }
    get ENV_ID(): FieldUtil<BMSDeployConfigMCU>{ 
        return BMSDeployConfigMU.ENV_ID;
    }
    get ENV_TYPE(): FieldUtil<BMSDeployConfigMCU>{ 
        return BMSDeployConfigMU.ENV_TYPE;
    }
    get ENV_VARIABLE(): FieldUtil<BMSDeployConfigMCU>{ 
        return BMSDeployConfigMU.ENV_VARIABLE;
    }
    get ID(): FieldUtil<BMSDeployConfigMCU>{ 
        return BMSDeployConfigMU.ID;
    }
    get INSTANCE_CPU(): FieldUtil<BMSDeployConfigMCU>{ 
        return BMSDeployConfigMU.INSTANCE_CPU;
    }
    get INSTANCE_MEMORY(): FieldUtil<BMSDeployConfigMCU>{ 
        return BMSDeployConfigMU.INSTANCE_MEMORY;
    }
    get K8S_CONFIG(): FieldUtil<BMSDeployConfigMCU>{ 
        return BMSDeployConfigMU.K8S_CONFIG;
    }
    get K8S_ID(): FieldUtil<BMSDeployConfigMCU>{ 
        return BMSDeployConfigMU.K8S_ID;
    }
    get KAFKA_CONFIG(): FieldUtil<BMSDeployConfigMCU>{ 
        return BMSDeployConfigMU.KAFKA_CONFIG;
    }
    get KAFKA_ID(): FieldUtil<BMSDeployConfigMCU>{ 
        return BMSDeployConfigMU.KAFKA_ID;
    }
    get LOG_CONFIG(): FieldUtil<BMSDeployConfigMCU>{ 
        return BMSDeployConfigMU.LOG_CONFIG;
    }
    get LOG_CONFIG_TEMPLATE_ID(): FieldUtil<BMSDeployConfigMCU>{ 
        return BMSDeployConfigMU.LOG_CONFIG_TEMPLATE_ID;
    }
    get MAX_INSTANCE(): FieldUtil<BMSDeployConfigMCU>{ 
        return BMSDeployConfigMU.MAX_INSTANCE;
    }
    get METRICS_TEMPLATE_ID(): FieldUtil<BMSDeployConfigMCU>{ 
        return BMSDeployConfigMU.METRICS_TEMPLATE_ID;
    }
    get MIN_INSTANCE(): FieldUtil<BMSDeployConfigMCU>{ 
        return BMSDeployConfigMU.MIN_INSTANCE;
    }
    get PID(): FieldUtil<BMSDeployConfigMCU>{ 
        return BMSDeployConfigMU.PID;
    }
    get PROJECT_ID(): FieldUtil<BMSDeployConfigMCU>{ 
        return BMSDeployConfigMU.PROJECT_ID;
    }
    get REDIS_CONFIG(): FieldUtil<BMSDeployConfigMCU>{ 
        return BMSDeployConfigMU.REDIS_CONFIG;
    }
    get REDIS_ID(): FieldUtil<BMSDeployConfigMCU>{ 
        return BMSDeployConfigMU.REDIS_ID;
    }
    get REDIS_POOL_CONFIG(): FieldUtil<BMSDeployConfigMCU>{ 
        return BMSDeployConfigMU.REDIS_POOL_CONFIG;
    }
    get REDIS_POOL_ID(): FieldUtil<BMSDeployConfigMCU>{ 
        return BMSDeployConfigMU.REDIS_POOL_ID;
    }
    get SERVICE_CENTER_ID(): FieldUtil<BMSDeployConfigMCU>{ 
        return BMSDeployConfigMU.SERVICE_CENTER_ID;
    }
    get UPDATE_TIME(): FieldUtil<BMSDeployConfigMCU>{ 
        return BMSDeployConfigMU.UPDATE_TIME;
    }
    get UPDATE_USER_ID(): FieldUtil<BMSDeployConfigMCU>{ 
        return BMSDeployConfigMU.UPDATE_USER_ID;
    }
    get VERSION_ID(): FieldUtil<BMSDeployConfigMCU>{ 
        return BMSDeployConfigMU.VERSION_ID;
    }
    get VERSION_NO(): FieldUtil<BMSDeployConfigMCU>{ 
        return BMSDeployConfigMU.VERSION_NO;
    }
}
export {BMSDeployConfigMCU, BMSDeployConfigMCUImpl, BMSDeployConfig, BMSDeployConfigMU}
